<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Approval KRS</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Detail Perpus </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data Mahasiswa</h3>
                            </div>
                        </div>
                    </div>

                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6 col-xs-12">
                                <div class="table-responsive">
                                    <table class="table align-items-center table-flush">
                                        <tr>
                                            <td class="text-right">Mahasiswa</td>
                                            <td>:</td>
                                            <td th:text="${mahasiswa.nama}"></td>
                                        </tr>
                                        <tr>
                                            <td class="text-right">Program Studi</td>
                                            <td style="width: 5px;">:</td>
                                            <td th:text="${mahasiswa.idProdi.namaProdi}"></td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                            <div class="col-md-6 col-xs-12">
                                <div class="table-responsive">
                                    <table class="table align-items-center table-flush">
                                        <tr>
                                            <td class="text-right">NIM</td>
                                            <td >:</td>
                                            <td th:text="${mahasiswa.nim}"></td>
                                        </tr>
                                        <tr>
                                            <td class="text-right" >Program Pendidikan</td>
                                            <td style="width: 5px;">:</td>
                                            <td th:text="${mahasiswa.idProgram.namaProgram}"></td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br><br>

        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Bebas Kewajiban Perpustakaan </h3>
                            </div>
                        </div>
                    </div>

                    <form method="post" th:action="@{/kewajiban/admin/perpus/input}">
                        <div class="card-body">
                            <input type="hidden" name="bebasKewajiban" th:value="${bebasKewajiban.id}">
                            <table>
                                <tr>
                                    <th scope="col">
                                        <input type="checkbox" id="checkAll">
                                    </th>
                                    <td>
                                        <b>Check all</b>
                                    </td>
                                </tr>
                                <tr th:each="data, row: ${listKewajibanMahasiswa}">
                                    <td style="width: 30px;">
                                        <input th:name="${'check-'+data.id}" th:if="${data.status == data.status.AKTIF}" class="select-opt" checked type="checkbox" th:id="${data.id + '-checkbox'}">
                                        <input th:name="${'check-'+data.id}" th:if="${data.status == data.status.NONAKTIF}" class="select-opt" type="checkbox" th:id="${data.id + '-checkbox'}">
                                    </td>
                                    <td>
                                        <label th:for="${data.id + '-checkbox'}" th:text="${data.kewajibanPerpus.keterangan}"></label>
                                    </td>
                                </tr>
                            </table>
                            <br>
                            <h2>Histori Komentar</h2>
                            <div th:each="data, row:${histori}">
                                <b th:text="${#temporals.format(data.waktuInput, 'dd-MM-yyyy HH:mm')}"></b><br>
                                <p th:text="${data.komentar}"></p>
                            </div>
                            <br>
                            <div class="form-group">
                                <label for="komentar">Komentar</label>
                                <textarea name="komentar" id="komentar" cols="30" rows="10" class="form-control"></textarea>
                            </div>
                            <br><br>
                            <div class="row">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary">Simpan</button>
                                    <a th:href="@{/kewajiban/admin/perpus/list}" class="btn btn-danger">Kembali</a>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- Dark table -->


    </div>
</div>

<!--modal-->

</body>
</html>

<script>
    $(document).ready(function (){
        $('#checkAll').click(function (){
            $('.select-opt:input:checkbox').not(this).prop('checked', this.checked);
        })
    })
</script>